Bug 143909 - pid-file doesn't accept valid none parameter
Summary: pid-file doesn't accept valid none parameter
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind   
(Show other bugs)
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-01 05:02 UTC by Theo Van Dinter
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: bind-9.3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 16:55:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Theo Van Dinter 2005-01-01 05:02:40 UTC
Description of problem:
In my named.conf, the line:

        pid-file none;

in my options section causes the following error at startup:

Dec 31 23:56:45.742 /etc/named.conf:18: expected quoted string near 'none'


Version-Release number of selected component (if applicable):
9.2.4-2

How reproducible:
repeatedly
  
Expected results:

the none value has worked consistantly in other 9.2 and 9.3 releases,
and is listed as valid in the documentation.

Comment 1 Jason Vas Dias 2005-01-03 14:05:54 UTC
Am investigating and will remedy in next bind release (9.2.4-4)
(nothing is changed from ISC code in this area ...)

Comment 2 Jason Vas Dias 2005-01-05 16:55:21 UTC
The "pid-file none;" configuration option is only supported in 
bind-9.3.0 (it is broken in bind-9.2.4).
You can download bind-9.3.0-2 for FC3 from :
    http://people.redhat.com/~jvdias/bind/9.3.0/FC3 
I'll try to backport the fix to bind-9.2.4 when I have time - but
we'll probably be pushing bind-9.3.0 to FC3 updates soon .



Note You need to log in before you can comment on or make changes to this bug.